Name: htmlview
Version: 2.0.0
Release: 6
Summary: A script which calls an installed HTML viewer.
License: Public Domain
Source: htmlview
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Prefix: %{_prefix}
Requires: redhat-menus

%description
The htmlview utility uses an installed and preferred HTML viewer to
display a local HTML page. It is used by several configuration tools
to display their help pages.

%prep
%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
install -c -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{prefix}/bin

mkdir -p $RPM_BUILD_ROOT%{prefix}/share/applications
ln -s /usr/share/desktop-menu-patches/redhat-web.desktop \
  $RPM_BUILD_ROOT/%{prefix}/share/applications/redhat-web.desktop

%files
%defattr(-,root,root)
%{prefix}/bin/htmlview
%{prefix}/share/applications/redhat-web.desktop

%changelog
* Thu Aug 22 2002 Christopher Blizzard <blizzard@redhat.com> 2.0.0-6
- Use an absolute symlink so that you can drag and drop the .desktop
  entry.

* Fri Aug 09 2002 Christopher Blizzard <blizzard@redhat.com> 2.0.0-5
- Prefer Mozilla over galeon
- Include link to redhat-web.desktop

* Fri Aug 09 2002 Phil Knirsch <pknirsch@redhat.com> 2.0.0-4
- Updated to start the first look for the GENERIC browers and terms (#68848)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 2.0.0-3
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 2.0.0-2
- automated rebuild

* Mon Jan 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0.0-1
- Allow /etc/htmlview.conf and ~/.htmlviewrc files to allow users to
  pick their preferred browsers.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Aug 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.0-1
- Add Galeon to the list of known browsers, prefer Mozilla over
  Konqueror if in gnome (#52137)

* Wed Mar  7 2001 Bill Nottingham <notting@redhat.com>
- add a license note to the script

* Tue Jan  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.0:
  - Add konqueror to the list of known browsers
  - Add support for remote URLs (so we can use this for licq, as well)
  - Some cleanups

* Tue Sep 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial rpm
